This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248912 - Fail to install blktap-devel due to undefined %{epoch} usage
Fail to install blktap-devel due to undefined %{epoch} usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blktap (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 03:12 EDT by Robin Lee
Modified: 2015-08-14 22:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: blktap-3.0.0-4.fc23.git0.9.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 22:12:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2015-07-31 03:12:56 EDT
Description of problem:

blktap.spec uses an undefined macro '%{epoch}', that makes blktap-devel has an unsatisfiable requirement.

$ sudo dnf install blktap blktap-devel
Last metadata expiration check performed 2:17:48 ago on Fri Jul 31 12:44:58 2015.
Dependencies resolved.
=======================================================================================================================
 Package                     Arch                  Version                                 Repository             Size
=======================================================================================================================
Installing:
 blktap                      x86_64                3.0.0-2.fc22.git0.9.2                   fedora                243 k
 blktap-devel                x86_64                3.0.0-2.fc22.git0.9.2                   fedora                 21 k

Transaction Summary
=======================================================================================================================
Install  2 Packages

Total download size: 263 k
Installed size: 773 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): blktap-devel-3.0.0-2.fc22.git0.9.2.x86_64.rpm                                    53 kB/s |  21 kB     00:00    
(2/2): blktap-3.0.0-2.fc22.git0.9.2.x86_64.rpm                                         379 kB/s | 243 kB     00:00    
-----------------------------------------------------------------------------------------------------------------------
Total                                                                                   70 kB/s | 263 kB     00:03     
Running transaction check
Error: transaction check vs depsolve:
blktap(x86-64) = %{epoch}:3.0.0-2.fc22.git0.9.2 is needed by blktap-devel-3.0.0-2.fc22.git0.9.2.x86_64
To diagnose the problem, try running: 'rpm -Va --nofiles --nodigest'.
You probably have corrupted RPMDB, running 'rpm --rebuilddb' might fix the issue.

Version-Release number of selected component (if applicable):
3.0.0-2.fc22.git0.9.2
Comment 1 Fedora Update System 2015-07-31 04:17:21 EDT
blktap-3.0.0-3.fc22.git0.9.2 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/blktap-3.0.0-3.fc22.git0.9.2
Comment 2 Fedora Update System 2015-07-31 04:19:18 EDT
blktap-3.0.0-4.fc23.git0.9.2 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/blktap-3.0.0-4.fc23.git0.9.2
Comment 3 Fedora Update System 2015-07-31 12:48:20 EDT
Package blktap-3.0.0-4.fc23.git0.9.2:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blktap-3.0.0-4.fc23.git0.9.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12484/blktap-3.0.0-4.fc23.git0.9.2
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-08-10 22:12:22 EDT
blktap-3.0.0-3.fc22.git0.9.2 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-08-14 22:09:44 EDT
blktap-3.0.0-4.fc23.git0.9.2 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.